﻿using System;

namespace BbqpCmcs.AtomicOperators
{
	class NopeOperator : AtomicOperator
	{
		public NopeOperator()
		{
			Name = "Nope";
		}

		public override void Run(InternalBbqpSolution solution, Random random)
		{
		}

		public override bool FindsLocalMinimum
		{
			get { return true; }
		}

		public override bool CanWorsen
		{
			get { return false; }
		}

		public override bool IsDeterministicImprovement
		{
			get { return true; }
		}
	}
}
