﻿namespace BbqpCmcs.Types
{
	public abstract class Solution<TInstance>
		where TInstance : Instance
	{
		protected readonly TInstance instance;

		public Solution(TInstance instance)
		{
			this.instance = instance;
		}

		public abstract void SaveToFile(string filename);

		public TInstance Instance
		{
			get { return instance; }
		}
	}
}
